package emojiCfg

import (
	"server/GoUtil"
	"server/gamedata"
)

const (
	CFG_EMOJI = "Emoji"
)

func init() {
	gamedata.InitCfg(CFG_EMOJI)
}

func GetInitList() []int {
	data, err := gamedata.GetData(CFG_EMOJI)
	if err != nil {
		return nil
	}
	ret := make([]int, 0)
	for k, v := range data {
		Init := gamedata.GetIntValue(v, "Init")
		if Init == 1 {
			ret = append(ret, GoUtil.Int(k))
		}
	}
	return ret
}
